# Monitorの実行 (/ja/api-reference/endpoint/monitor-run)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 1105 · updated: 2026-07-30 -->
Related: [検索](/ja/api-reference/endpoint/search.md), [検索フィードバック](/ja/api-reference/endpoint/search-feedback.md), [スクレイプ](/ja/api-reference/endpoint/scrape.md), [バッチスクレープ](/ja/api-reference/endpoint/batch-scrape.md), [バッチスクレイプのステータス取得](/ja/api-reference/endpoint/batch-scrape-get.md), [バッチスクレイプのキャンセル](/ja/api-reference/endpoint/batch-scrape-delete.md)



`POST /monitor/{monitorId}/run`

モニターを実行

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "モニターID",
      "in": "path",
      "name": "monitorId",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "data": {
                "properties": {
                  "actualCredits": {
                    "description": "スクレイピング、クロール、および変更ページに対する判定呼び出しがすべて完了した後、このチェックに課金される最終的なクレジット数。",
                    "nullable": true,
                    "type": "integer"
                  },
                  "billingStatus": {
                    "type": "string"
                  },
                  "createdAt": {
                    "format": "date-time",
                    "type": "string"
                  },
                  "error": {
                    "nullable": true,
                    "type": "string"
                  },
                  "estimatedCredits": {
                    "description": "Firecrawl が変更されたページ数と、判定が必要なページ数を把握する前に、このチェックのために予約されるクレジットの上限。",
                    "nullable": true,
                    "type": "integer"
                  },
                  "finishedAt": {
                    "format": "date-time",
                    "nullable": true,
                    "type": "string"
                  },
                  "id": {
                    "format": "uuid",
                    "type": "string"
                  },
                  "monitorId": {
                    "format": "uuid",
                    "type": "string"
                  },
                  "notificationStatus": {
                    "nullable": true,
                    "type": "object"
                  },
                  "reservedCredits": {
                    "nullable": true,
                    "type": "integer"
                  },
                  "scheduledFor": {
                    "format": "date-time",
                    "nullable": true,
                    "type": "string"
                  },
                  "startedAt": {
                    "format": "date-time",
                    "nullable": true,
                    "type": "string"
                  },
                  "status": {
                    "enum": [
                      "queued",
                      "running",
                      "completed",
                      "failed",
                      "partial",
                      "skipped_overlap"
                    ],
                    "type": "string"
                  },
                  "summary": {
                    "properties": {
                      "changed": {
                        "type": "integer"
                      },
                      "error": {
                        "type": "integer"
                      },
                      "new": {
                        "type": "integer"
                      },
                      "removed": {
                        "type": "integer"
                      },
                      "same": {
                        "type": "integer"
                      },
                      "totalPages": {
                        "type": "integer"
                      }
                    },
                    "type": "object"
                  },
                  "targetResults": {
                    "nullable": true,
                    "type": "array"
                  },
                  "trigger": {
                    "enum": [
                      "scheduled",
                      "manual"
                    ],
                    "type": "string"
                  },
                  "updatedAt": {
                    "format": "date-time",
                    "type": "string"
                  }
                },
                "type": "object"
              },
              "id": {
                "format": "uuid",
                "type": "string"
              },
              "success": {
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "モニターチェックがキューに追加されました"
    },
    "409": {
      "description": "モニターチェックはすでに実行中です"
    }
  }
}
```
